/**************************************************************************
 
  The dune-fem module is a module of DUNE (see www.dune-project.org).
  It is based on the dune-grid interface library 
  extending the grid interface by a number of discretization algorithms
  for solving non-linear systems of partial differential equations.

  Copyright (C) 2003 - 2012 Robert Kloefkorn
  Copyright (C) 2003 - 2010 Mario Ohlberger 
  Copyright (C) 2004 - 2012 Andreas Dedner
  Copyright (C) 2005 - 2010 Mirko Kraenkel
  Copyright (C) 2006 - 2012 Martin Nolte
  Copyright (C) 2011 - 2012 Tobias Malkmus

  The dune-fem module is free software; you can redistribute it and/or 
  modify it under the terms of the GNU General Public License as 
  published by the Free Software Foundation; either version 2 of 
  the License, or (at your option) any later version.

  The dune-fem module is distributed in the hope that it will be useful, 
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License along
  with this program; if not, write to the Free Software Foundation, Inc.,
  51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 
**************************************************************************/
#include <iostream>
#include <string>

#include <config.h>

#ifndef GRIDDIM 
#define GRIDDIM 3
#endif
const int dimension = GRIDDIM;

#include "suite.hh"
#include <dune/fem/misc/test.hh>

#include "pass_test.hh"
#include "helper_test.hh"

using namespace Dune;

int main() {
  Suite passSuite("Test suite for pass implementation");

  std::stringstream filename;
  filename << "dgellipt/grid" << dimension << "d.dgf";
  passSuite.addTest(new Pass_Test(filename.str()));
  passSuite.addTest(new PassHelper_Test(filename.str()));
  
  passSuite.run();
  passSuite.report();
}

